<?php
/**
 * THIS IS AN AUTOGENERATED FILE
 * DO NOT MODIFY
 * @codingStandardsIgnoreFile
 */


namespace Ls\Replication\Setup\UpgradeSchema;

use Magento\Framework\Setup\SchemaSetupInterface;
use Magento\Framework\Setup\ModuleContextInterface;
use Magento\Framework\DB\Ddl\Table;

class ReplCustomer
{

    public function upgrade(SchemaSetupInterface $setup, ModuleContextInterface $context)
    {
        $table_name = $setup->getTable( 'ls_replication_repl_customer' ); 
        if(!$setup->tableExists($table_name)) {
        	$table = $setup->getConnection()->newTable( $table_name );
        	$table->addColumn('repl_customer_id', Table::TYPE_INTEGER, 11, [ 'identity' => TRUE, 'primary' => TRUE, 'unsigned' => TRUE, 'nullable' => FALSE, 'auto_increment'=> TRUE ]);
        	$table->addColumn('scope', Table::TYPE_TEXT, 8);
        	$table->addColumn('scope_id', Table::TYPE_INTEGER, 11);
        	$table->addColumn('processed', Table::TYPE_BOOLEAN, 1, [ 'default' => 0 ], 'Flag to check if data is already copied into Magento. 0 means needs to be copied into Magento tables & 1 means already copied');
        	$table->addColumn('is_updated', Table::TYPE_BOOLEAN, 1, [ 'default' => 0 ], 'Flag to check if data is already updated from Omni into Magento. 0 means already updated & 1 means needs to be updated into Magento tables');
        	$table->addColumn('is_failed', Table::TYPE_BOOLEAN, 1, [ 'default' => 0 ], 'Flag to check if data is already added from Flat into Magento successfully or not. 0 means already added successfully & 1 means failed to add successfully into Magento tables');
        	$table->addColumn('AccountNumber' , Table::TYPE_TEXT, '');
        	$table->addColumn('Blocked' , Table::TYPE_INTEGER, 11);
        	$table->addColumn('CellularPhone' , Table::TYPE_TEXT, '');
        	$table->addColumn('City' , Table::TYPE_TEXT, '');
        	$table->addColumn('ClubCode' , Table::TYPE_TEXT, '');
        	$table->addColumn('Country' , Table::TYPE_TEXT, '');
        	$table->addColumn('County' , Table::TYPE_TEXT, '');
        	$table->addColumn('Currency' , Table::TYPE_TEXT, '');
        	$table->addColumn('Email' , Table::TYPE_TEXT, '');
        	$table->addColumn('FirstName' , Table::TYPE_TEXT, '');
        	$table->addColumn('nav_id' , Table::TYPE_TEXT, '');
        	$table->addColumn('IncludeTax' , Table::TYPE_INTEGER, 11);
        	$table->addColumn('IsDeleted' , Table::TYPE_BOOLEAN, 1);
        	$table->addColumn('LastName' , Table::TYPE_TEXT, '');
        	$table->addColumn('MiddleName' , Table::TYPE_TEXT, '');
        	$table->addColumn('Name' , Table::TYPE_TEXT, '');
        	$table->addColumn('NamePrefix' , Table::TYPE_TEXT, '');
        	$table->addColumn('NameSuffix' , Table::TYPE_TEXT, '');
        	$table->addColumn('PhoneLocal' , Table::TYPE_TEXT, '');
        	$table->addColumn('ReceiptEmail' , Table::TYPE_TEXT, '');
        	$table->addColumn('ReceiptOption' , Table::TYPE_INTEGER, 11);
        	$table->addColumn('SchemeCode' , Table::TYPE_TEXT, '');
        	$table->addColumn('State' , Table::TYPE_TEXT, '');
        	$table->addColumn('Street' , Table::TYPE_TEXT, '');
        	$table->addColumn('TaxGroup' , Table::TYPE_TEXT, '');
        	$table->addColumn('URL' , Table::TYPE_TEXT, '');
        	$table->addColumn('UserName' , Table::TYPE_TEXT, '');
        	$table->addColumn('ZipCode' , Table::TYPE_TEXT, '');
        	$table->addColumn('processed_at', Table::TYPE_TIMESTAMP, null, [ 'nullable' => true ], 'Processed At');
        	$table->addColumn('created_at', Table::TYPE_TIMESTAMP, null, [ 'nullable' => false, 'default' => Table::TIMESTAMP_INIT ], 'Created At');
        	$table->addColumn('updated_at', Table::TYPE_TIMESTAMP, null, [ 'nullable' => false, 'default' => Table::TIMESTAMP_INIT_UPDATE ], 'Updated At');
        	$setup->getConnection()->createTable( $table );
        } else {
        	$connection = $setup->getConnection();
        	if ($connection->tableColumnExists($table_name, 'AccountNumber' ) === false) {
        		$connection->addColumn($table_name, 'AccountNumber', ['length' => '','default' => null,'type' => Table::TYPE_TEXT, 'comment' => 'AccountNumber']);
        	} else {
        		$connection->modifyColumn($table_name, 'AccountNumber', ['length' => '','default' => null,'type' => Table::TYPE_TEXT, 'comment' => 'AccountNumber']);
        	}
        	if ($connection->tableColumnExists($table_name, 'Blocked' ) === false) {
        		$connection->addColumn($table_name, 'Blocked', ['length' => 11,'default' => null,'type' => Table::TYPE_INTEGER, 'comment' => 'Blocked']);
        	} else {
        		$connection->modifyColumn($table_name, 'Blocked', ['length' => 11,'default' => null,'type' => Table::TYPE_INTEGER, 'comment' => 'Blocked']);
        	}
        	if ($connection->tableColumnExists($table_name, 'CellularPhone' ) === false) {
        		$connection->addColumn($table_name, 'CellularPhone', ['length' => '','default' => null,'type' => Table::TYPE_TEXT, 'comment' => 'CellularPhone']);
        	} else {
        		$connection->modifyColumn($table_name, 'CellularPhone', ['length' => '','default' => null,'type' => Table::TYPE_TEXT, 'comment' => 'CellularPhone']);
        	}
        	if ($connection->tableColumnExists($table_name, 'City' ) === false) {
        		$connection->addColumn($table_name, 'City', ['length' => '','default' => null,'type' => Table::TYPE_TEXT, 'comment' => 'City']);
        	} else {
        		$connection->modifyColumn($table_name, 'City', ['length' => '','default' => null,'type' => Table::TYPE_TEXT, 'comment' => 'City']);
        	}
        	if ($connection->tableColumnExists($table_name, 'ClubCode' ) === false) {
        		$connection->addColumn($table_name, 'ClubCode', ['length' => '','default' => null,'type' => Table::TYPE_TEXT, 'comment' => 'ClubCode']);
        	} else {
        		$connection->modifyColumn($table_name, 'ClubCode', ['length' => '','default' => null,'type' => Table::TYPE_TEXT, 'comment' => 'ClubCode']);
        	}
        	if ($connection->tableColumnExists($table_name, 'Country' ) === false) {
        		$connection->addColumn($table_name, 'Country', ['length' => '','default' => null,'type' => Table::TYPE_TEXT, 'comment' => 'Country']);
        	} else {
        		$connection->modifyColumn($table_name, 'Country', ['length' => '','default' => null,'type' => Table::TYPE_TEXT, 'comment' => 'Country']);
        	}
        	if ($connection->tableColumnExists($table_name, 'County' ) === false) {
        		$connection->addColumn($table_name, 'County', ['length' => '','default' => null,'type' => Table::TYPE_TEXT, 'comment' => 'County']);
        	} else {
        		$connection->modifyColumn($table_name, 'County', ['length' => '','default' => null,'type' => Table::TYPE_TEXT, 'comment' => 'County']);
        	}
        	if ($connection->tableColumnExists($table_name, 'Currency' ) === false) {
        		$connection->addColumn($table_name, 'Currency', ['length' => '','default' => null,'type' => Table::TYPE_TEXT, 'comment' => 'Currency']);
        	} else {
        		$connection->modifyColumn($table_name, 'Currency', ['length' => '','default' => null,'type' => Table::TYPE_TEXT, 'comment' => 'Currency']);
        	}
        	if ($connection->tableColumnExists($table_name, 'Email' ) === false) {
        		$connection->addColumn($table_name, 'Email', ['length' => '','default' => null,'type' => Table::TYPE_TEXT, 'comment' => 'Email']);
        	} else {
        		$connection->modifyColumn($table_name, 'Email', ['length' => '','default' => null,'type' => Table::TYPE_TEXT, 'comment' => 'Email']);
        	}
        	if ($connection->tableColumnExists($table_name, 'FirstName' ) === false) {
        		$connection->addColumn($table_name, 'FirstName', ['length' => '','default' => null,'type' => Table::TYPE_TEXT, 'comment' => 'FirstName']);
        	} else {
        		$connection->modifyColumn($table_name, 'FirstName', ['length' => '','default' => null,'type' => Table::TYPE_TEXT, 'comment' => 'FirstName']);
        	}
        	if ($connection->tableColumnExists($table_name, 'nav_id' ) === false) {
        		$connection->addColumn($table_name, 'nav_id', ['length' => '','default' => null,'type' => Table::TYPE_TEXT, 'comment' => 'Nav_id']);
        	} else {
        		$connection->modifyColumn($table_name, 'nav_id', ['length' => '','default' => null,'type' => Table::TYPE_TEXT, 'comment' => 'Nav_id']);
        	}
        	if ($connection->tableColumnExists($table_name, 'IncludeTax' ) === false) {
        		$connection->addColumn($table_name, 'IncludeTax', ['length' => 11,'default' => null,'type' => Table::TYPE_INTEGER, 'comment' => 'IncludeTax']);
        	} else {
        		$connection->modifyColumn($table_name, 'IncludeTax', ['length' => 11,'default' => null,'type' => Table::TYPE_INTEGER, 'comment' => 'IncludeTax']);
        	}
        	if ($connection->tableColumnExists($table_name, 'IsDeleted' ) === false) {
        		$connection->addColumn($table_name, 'IsDeleted', ['length' => 1,'default' => 0,'type' => Table::TYPE_BOOLEAN, 'comment' => 'IsDeleted']);
        	} else {
        		$connection->modifyColumn($table_name, 'IsDeleted', ['length' => 1,'default' => 0,'type' => Table::TYPE_BOOLEAN, 'comment' => 'IsDeleted']);
        	}
        	if ($connection->tableColumnExists($table_name, 'LastName' ) === false) {
        		$connection->addColumn($table_name, 'LastName', ['length' => '','default' => null,'type' => Table::TYPE_TEXT, 'comment' => 'LastName']);
        	} else {
        		$connection->modifyColumn($table_name, 'LastName', ['length' => '','default' => null,'type' => Table::TYPE_TEXT, 'comment' => 'LastName']);
        	}
        	if ($connection->tableColumnExists($table_name, 'MiddleName' ) === false) {
        		$connection->addColumn($table_name, 'MiddleName', ['length' => '','default' => null,'type' => Table::TYPE_TEXT, 'comment' => 'MiddleName']);
        	} else {
        		$connection->modifyColumn($table_name, 'MiddleName', ['length' => '','default' => null,'type' => Table::TYPE_TEXT, 'comment' => 'MiddleName']);
        	}
        	if ($connection->tableColumnExists($table_name, 'Name' ) === false) {
        		$connection->addColumn($table_name, 'Name', ['length' => '','default' => null,'type' => Table::TYPE_TEXT, 'comment' => 'Name']);
        	} else {
        		$connection->modifyColumn($table_name, 'Name', ['length' => '','default' => null,'type' => Table::TYPE_TEXT, 'comment' => 'Name']);
        	}
        	if ($connection->tableColumnExists($table_name, 'NamePrefix' ) === false) {
        		$connection->addColumn($table_name, 'NamePrefix', ['length' => '','default' => null,'type' => Table::TYPE_TEXT, 'comment' => 'NamePrefix']);
        	} else {
        		$connection->modifyColumn($table_name, 'NamePrefix', ['length' => '','default' => null,'type' => Table::TYPE_TEXT, 'comment' => 'NamePrefix']);
        	}
        	if ($connection->tableColumnExists($table_name, 'NameSuffix' ) === false) {
        		$connection->addColumn($table_name, 'NameSuffix', ['length' => '','default' => null,'type' => Table::TYPE_TEXT, 'comment' => 'NameSuffix']);
        	} else {
        		$connection->modifyColumn($table_name, 'NameSuffix', ['length' => '','default' => null,'type' => Table::TYPE_TEXT, 'comment' => 'NameSuffix']);
        	}
        	if ($connection->tableColumnExists($table_name, 'PhoneLocal' ) === false) {
        		$connection->addColumn($table_name, 'PhoneLocal', ['length' => '','default' => null,'type' => Table::TYPE_TEXT, 'comment' => 'PhoneLocal']);
        	} else {
        		$connection->modifyColumn($table_name, 'PhoneLocal', ['length' => '','default' => null,'type' => Table::TYPE_TEXT, 'comment' => 'PhoneLocal']);
        	}
        	if ($connection->tableColumnExists($table_name, 'ReceiptEmail' ) === false) {
        		$connection->addColumn($table_name, 'ReceiptEmail', ['length' => '','default' => null,'type' => Table::TYPE_TEXT, 'comment' => 'ReceiptEmail']);
        	} else {
        		$connection->modifyColumn($table_name, 'ReceiptEmail', ['length' => '','default' => null,'type' => Table::TYPE_TEXT, 'comment' => 'ReceiptEmail']);
        	}
        	if ($connection->tableColumnExists($table_name, 'ReceiptOption' ) === false) {
        		$connection->addColumn($table_name, 'ReceiptOption', ['length' => 11,'default' => null,'type' => Table::TYPE_INTEGER, 'comment' => 'ReceiptOption']);
        	} else {
        		$connection->modifyColumn($table_name, 'ReceiptOption', ['length' => 11,'default' => null,'type' => Table::TYPE_INTEGER, 'comment' => 'ReceiptOption']);
        	}
        	if ($connection->tableColumnExists($table_name, 'SchemeCode' ) === false) {
        		$connection->addColumn($table_name, 'SchemeCode', ['length' => '','default' => null,'type' => Table::TYPE_TEXT, 'comment' => 'SchemeCode']);
        	} else {
        		$connection->modifyColumn($table_name, 'SchemeCode', ['length' => '','default' => null,'type' => Table::TYPE_TEXT, 'comment' => 'SchemeCode']);
        	}
        	if ($connection->tableColumnExists($table_name, 'State' ) === false) {
        		$connection->addColumn($table_name, 'State', ['length' => '','default' => null,'type' => Table::TYPE_TEXT, 'comment' => 'State']);
        	} else {
        		$connection->modifyColumn($table_name, 'State', ['length' => '','default' => null,'type' => Table::TYPE_TEXT, 'comment' => 'State']);
        	}
        	if ($connection->tableColumnExists($table_name, 'Street' ) === false) {
        		$connection->addColumn($table_name, 'Street', ['length' => '','default' => null,'type' => Table::TYPE_TEXT, 'comment' => 'Street']);
        	} else {
        		$connection->modifyColumn($table_name, 'Street', ['length' => '','default' => null,'type' => Table::TYPE_TEXT, 'comment' => 'Street']);
        	}
        	if ($connection->tableColumnExists($table_name, 'TaxGroup' ) === false) {
        		$connection->addColumn($table_name, 'TaxGroup', ['length' => '','default' => null,'type' => Table::TYPE_TEXT, 'comment' => 'TaxGroup']);
        	} else {
        		$connection->modifyColumn($table_name, 'TaxGroup', ['length' => '','default' => null,'type' => Table::TYPE_TEXT, 'comment' => 'TaxGroup']);
        	}
        	if ($connection->tableColumnExists($table_name, 'URL' ) === false) {
        		$connection->addColumn($table_name, 'URL', ['length' => '','default' => null,'type' => Table::TYPE_TEXT, 'comment' => 'URL']);
        	} else {
        		$connection->modifyColumn($table_name, 'URL', ['length' => '','default' => null,'type' => Table::TYPE_TEXT, 'comment' => 'URL']);
        	}
        	if ($connection->tableColumnExists($table_name, 'UserName' ) === false) {
        		$connection->addColumn($table_name, 'UserName', ['length' => '','default' => null,'type' => Table::TYPE_TEXT, 'comment' => 'UserName']);
        	} else {
        		$connection->modifyColumn($table_name, 'UserName', ['length' => '','default' => null,'type' => Table::TYPE_TEXT, 'comment' => 'UserName']);
        	}
        	if ($connection->tableColumnExists($table_name, 'ZipCode' ) === false) {
        		$connection->addColumn($table_name, 'ZipCode', ['length' => '','default' => null,'type' => Table::TYPE_TEXT, 'comment' => 'ZipCode']);
        	} else {
        		$connection->modifyColumn($table_name, 'ZipCode', ['length' => '','default' => null,'type' => Table::TYPE_TEXT, 'comment' => 'ZipCode']);
        	}
        	if ($connection->tableColumnExists($table_name, 'is_failed' ) === false) {
        		$connection->addColumn($table_name, 'is_failed', ['length' => 1,'default' => 0,'type' => Table::TYPE_BOOLEAN, 'comment' => 'Is_failed']);
        	} else {
        		$connection->modifyColumn($table_name, 'is_failed', ['length' => 1,'default' => 0,'type' => Table::TYPE_BOOLEAN, 'comment' => 'Is_failed']);
        	}
        	if ($connection->tableColumnExists($table_name, 'processed_at' ) === false) {
        		$connection->addColumn($table_name, 'processed_at', ['length' => '','default' => null,'type' => Table::TYPE_TIMESTAMP, 'comment' => 'Processed_at']);
        	} else {
        		$connection->modifyColumn($table_name, 'processed_at', ['length' => '','default' => null,'type' => Table::TYPE_TIMESTAMP, 'comment' => 'Processed_at']);
        	}
        }
    }


}

